View Issue Details

IDProjectCategoryView StatusLast Update
0030375RunnerPhysicsPublic2020-04-01 16:40
ReporterDanAssigned ToFritz 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ResolvedResolutionFixed 
Product Version2.2.1 
Target Version2.3.0Fixed in Version 
Summary0030375: Physics: Every 2,750-ish particles, the particles system fails to work correctly for the next 1,000 particles
DescriptionWithin the two attached samples, when the particle count reaches an approximate multiple of 2,750 you'll get odd behaviour from the new particles until the count reaches another thousand more. (It's hard to get exact figures, as to slow down the FPS much below 10 makes the physics simulation hard to observe.)
Steps To Reproduce1) Import and run ParticleStreamSample.yyz
2) Observe that when the particle count gets up to just over 2,730, the "streams" start behaving incorrectly.
3) Observe that at around 3,650 this gets fixed.
4) Observe that it then breaks again at about 5,400...
Repro: 100%

1) Import and run P:\Samples-Mantis\0030375-particle_drawing_bug.yyz
2) Click LMB repeatedly to create "blobs" of particles.
3) Observe that when the particle count gets up to about 2,800 suddenly the blob which appears is only half-sized.
4) Keep clicking and observe the next few clicks produce no "blobs" at all.
3) Observe that at around 3,650 this gets fixed and you now have a full "blob" of particles again.
4) Observe that it then breaks again at about 5,400...
Repro: 100%
TagsGMKI, physics, Runner
1.4 Found In
2.x Runtime Found In2.2.2.293
2.x Runtime Verified In

Activities

Stewart Bishop

2019-01-07 17:01

Developer  

Bug3.PNG (81,789 bytes)
Bug3.PNG (81,789 bytes)

Dan

2019-12-30 15:25

Adminstrator  

ParticleStreamSample.yyz (23,231 bytes)